Details

    • Attachments:
      0
    • Comments:
      6
    • Documentation Status:
      Not Required

      Description

      The test suite fails in the rest7 branch see
      https://travis-ci.org/DSpace/DSpace/builds/200921356

      this is due to the spring framework and hibernate dependencies upgrade done to support a recent version of spring boot in the new dspace-spring-rest webapp.

      The whole maven dependencies should be checked, spring-boot should be used in the dspace-api and dspace-services project to reduce as much as possible the dependencies declaration.

      Finally, it has been release spring boot 1.5 so an upgrade to this latest version is desirable.

        Attachments

          Activity

            People

            • Assignee:
              mwood Mark H. Wood
              Reporter:
              bollini Andrea Bollini (4Science)
              Reviewer:
              Tim Donohue
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: